SET DEFINE OFF;

CREATE TABLE GRHUM.TYPE_CRYPTAGE (
	TCRY_ORDRE NUMBER NOT NULL,
	TCRY_LIBELLE VARCHAR2(200) NOT NULL, 
	TCRY_JAVA_METHODE VARCHAR2(2000) NOT NULL 
);

ALTER TABLE GRHUM.TYPE_CRYPTAGE ADD PRIMARY KEY (TCRY_ORDRE);

CREATE SEQUENCE GRHUM.TYPE_CRYPTAGE_SEQ
  START WITH 1
  MINVALUE 1
  NOCYCLE
  NOCACHE
  NOORDER;


COMMENT ON TABLE GRHUM.TYPE_CRYPTAGE IS 'Types de cryptages possibles pour les mots de passe.';

COMMENT ON COLUMN GRHUM.TYPE_CRYPTAGE.TCRY_ORDRE IS 'Cle de l''enregistrement';
COMMENT ON COLUMN GRHUM.TYPE_CRYPTAGE.TCRY_LIBELLE IS 'Libelle du type de cryptage';
COMMENT ON COLUMN GRHUM.TYPE_CRYPTAGE.TCRY_JAVA_METHODE IS 'Chemin d''acces a la methode Java a utiliser pour crypter une chaine de caracteres';

-----------------------------------

alter table




